
ChiliProject - Feature # 197: Rake task to manage copyright inside of source files

Status: Closed Priority: Normal
Author: Eric Davis Category: Refactoring
Created: 2011-02-17 Assignee: Eric Davis
Updated: 2011-05-30 Due date:
Remote issue URL:
Affected version:
Description: Instead of having the copyright statements in each file maintained by hand (and also the years updated 

ad-hoc), I think it would be nice to have a central copyright file and a script to autopopulate all of the source 
files with it. This will let us:

* update the copyright date in one place
* add rdoc exclude comments so the copyright doesn't show up as the class documentation

I would like to have this for 1.1.0 if possible but it's not a high priority.

Associated revisions
2011-05-29 09:10 pm - Eric Davis
[#197] Fix up main copyright files

2011-05-29 09:50 pm - Eric Davis
[#197] Remove old copyrights

2011-05-29 10:11 pm - Eric Davis
[#197] Add a rake task to update the copyright in code files

2011-05-29 10:11 pm - Eric Davis
[#197] Upgrade the copyright in the code files

2011-05-30 07:58 pm - Holger Just 
[#197] Better regex and no trailing whitespace.

History
2011-02-17 08:24 am - Felix Schäfer
The copyrights all being slightly different in different files, it'll be delicate to get it right. Put that in 1.2.0 rather.

2011-02-17 04:36 pm - Eric Thomas
Do you really need to have each file contain a copyright? I find that to be quite annoying when browsing through the source code. I don't see why you 
just don't remove all the copyrights from all the files and then just put the copyright inside the @README@.

2011-02-19 01:30 am - Eric Davis
Felix SchÃ¤fer wrote:
> The copyrights all being slightly different in different files, it'll be delicate to get it right.

How so? I was thinking of purging the existing Copyright notices and bulk replacing/adding them)

Eric Thomas wrote:
> Do you really need to have each file contain a copyright? I find that to be quite annoying when browsing through the source code. I don't see why you 
just don't remove all the copyrights from all the files and then just put the copyright inside the @README@.

I don't know the legal ramifications of it. Some people say each file needs to have it, others say a single file is all that's needed.

2020-10-25 1/2



2011-05-27 07:26 pm - Eric Davis
- Target version set to 2.0.0

2011-05-29 08:49 pm - Eric Davis
- Assignee set to Eric Davis

- Status changed from Open to Closed

I've updated the copyright by:

* moving Redmine's copyright from each file into the main doc/COPYRIGHT.rdoc file.
* adding a rake task (@copyright:update@) that will go through all of the code files and add a short copyright to the top of the file.
* the short copyright is wrapped in a block of rdoc that will prevent it from showing in the docs. So we won't see the copyright in each page on @rake 
doc:app@.

If we need to update the copyright in each file now, just edit doc/COPYRIGHT_short.rdoc and rerun the rake task.

Merged to unstable in commit:ec3717e

2011-05-30 09:35 pm - Eric Davis
- Tracker changed from Task to Feature
